Subject: bug#33961: bug#33962: guix pull fails on latest master

From: Leo Famulari <[email-masked]>
Date: Thu, 3 Jan 2019 14:33:21 -0500

On Fri, Jan 04, 2019 at 01:24:22AM +1100, Brendan Tildesley wrote:
> 95bf2fb637ba4abb27efe94e0b671c1e93204e4f , which adds wl-clipboard fails
> to build because it references meson-build-system without importing the
> required module. I'm guessing adding  #:use-module (guix build-system
> meson)   ; would fix it.
> 
> I'm curious to know how this error was made.

My guess is that the code contribution was tested with the
meson-build-system module imported correctly. However, the actual commit
or patch was created without the module import line.

When reviewing patches just by reading them, it's easy to miss mistakes
like this one.

This should be fixed in commit 4382cef28cb6de4b2b505788b759b0fe4f8ea603

Thanks for the reports!